Bug 308798 - Agenda items from 0:00 to 0:00 should be shown like all day events
Summary: Agenda items from 0:00 to 0:00 should be shown like all day events
Status: RESOLVED UNMAINTAINED
Alias: None
Product: korganizer
Classification: Applications
Component: agendaview (weekview) (show other bugs)
Version: 4.9.2
Platform: OpenSUSE Linux
: NOR minor with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks: extramile
  Show dependency treegraph
 
Reported: 2012-10-22 09:46 UTC by jens
Modified: 2017-01-10 19:15 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jens 2012-10-22 09:46:56 UTC
If you enter a new calendar entry in Goggle Calendar like:
Start: 24-10 0:00
End 25-10 0:00
It is shown in the Goggle web interface and also on the ipad like an all day event. KOrganizer should do this as well. 

I'm also asking this since "all-day events" in Exchange will be presented like above when accessing an Exchange  calendar via ical. Goggle Web and my ipad do show my Exchange calendar like in Outlook, but  korganizer shows all-day events like events planed from beginning to the end of the day which is not wrong but a little bit distracting.

Thanks a lot for reading this.

Regards,
Jens

(I guess this one should also qualify as issue for the Extra Mile Initiative)
Comment 1 Gunter Ohrner 2013-12-21 21:14:01 UTC
This is still a problem in KDE 4.12 and causes Outlook-created all-day events to be displayed as two-day-events - the event appears on the day it's actually scheduled for, and also for the day after, although it ends there at "00:00".

This is not directly visible in kOrganizer's calendar view, so one gets the impression that all full-day-events are one day longer than they actually are. (Eg. holidays etc.)
Comment 2 Denis Kurz 2016-09-24 18:53:38 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of korganizer (version 5.0 or later, as part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 3 Denis Kurz 2017-01-07 22:24:55 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.
Comment 4 Gunter Ohrner 2017-01-10 19:15:55 UTC
Ok, seems to be fixed in current versions of kOrganizer.